#!/bin/bash
# Script to compile package
# Please edit this script to compile the package if needed

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend


 


# generate .tempWork directory
log_exec mkdir -p ${buildDir}/.tempWork
log_exec cp -r ext_ressources ${buildDir}/.tempWork

#retrieve u-boot files
log_exec cp ${SYSROOT_LOC}/boot/u-boot.elf ${buildDir}/.tempWork

# generate the BOOT.BIN with bootgen
#log_exec install ${buildDir}/u-boot.elf ${buildDir}/.tempWork/ext_ressources
log_exec mkdir -p ${installDir}/boot
BOOTGEN_FILE=$(envsubst < ${buildDir}/.tempWork/ext_ressources/bootgen.bif)
echo -e ${BOOTGEN_FILE} > ${buildDir}/.tempWork/ext_ressources/bootgen.bif
log_exec bootgen -w on -arch zynqmp -image ${buildDir}/.tempWork/ext_ressources/bootgen.bif -o ${installDir}/boot/BOOT.BIN

#clean .tempWork directory
log_exec rm -rf ${buildDir}/.tempWork

do_buildstep_append
